Last Comment Bug 781333 - Use 2x images for HiDPI Thunderbird UI
: Use 2x images for HiDPI Thunderbird UI
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: All Mac OS X
: -- normal (vote)
: Thunderbird 22.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on: 845377 929279
Blocks: 764083
  Show dependency treegraph
 
Reported: 2012-08-08 14:12 PDT by Nomis101
Modified: 2013-12-27 02:11 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
main toolbar graphics (52.25 KB, image/png)
2012-09-04 06:53 PDT, Andreas Nilsson (:andreasn)
no flags Details
mail-toolbar graphics (53.25 KB, image/png)
2012-09-25 09:31 PDT, Andreas Nilsson (:andreasn)
no flags Details
address book toolbar graphics (12.05 KB, image/png)
2012-09-25 09:32 PDT, Andreas Nilsson (:andreasn)
no flags Details
chat toolbar graphics (5.52 KB, image/png)
2012-09-26 08:00 PDT, Andreas Nilsson (:andreasn)
no flags Details
compose toolbar graphics (20.66 KB, image/png)
2012-09-26 08:01 PDT, Andreas Nilsson (:andreasn)
no flags Details
WIP (130.39 KB, patch)
2012-09-30 08:00 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
quick filter toolbar graphics (11.15 KB, image/png)
2012-09-30 11:32 PDT, Andreas Nilsson (:andreasn)
no flags Details
folder-pane graphics (10.15 KB, image/png)
2012-10-01 07:41 PDT, Andreas Nilsson (:andreasn)
no flags Details
server graphics (folder pane) (4.76 KB, image/png)
2012-10-01 07:41 PDT, Andreas Nilsson (:andreasn)
no flags Details
chat status graphics (5.57 KB, image/png)
2012-10-01 07:42 PDT, Andreas Nilsson (:andreasn)
no flags Details
emotes graphics (16.56 KB, image/png)
2012-10-03 04:56 PDT, Andreas Nilsson (:andreasn)
no flags Details
compose format buttons graphics (8.49 KB, image/png)
2012-10-03 04:57 PDT, Andreas Nilsson (:andreasn)
no flags Details
offline graphics (1.32 KB, image/png)
2012-10-04 07:26 PDT, Andreas Nilsson (:andreasn)
no flags Details
online graphics (675 bytes, image/png)
2012-10-04 07:26 PDT, Andreas Nilsson (:andreasn)
no flags Details
addressbook sidepane graphics (2.39 KB, image/png)
2012-10-04 07:27 PDT, Andreas Nilsson (:andreasn)
no flags Details
WIP v2 (252.06 KB, patch)
2012-10-07 05:11 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
server graphics (folder pane) (6.44 KB, image/png)
2012-10-09 09:21 PDT, Andreas Nilsson (:andreasn)
no flags Details
folder-pane graphics (10.72 KB, image/png)
2012-10-09 09:22 PDT, Andreas Nilsson (:andreasn)
no flags Details
insert menu graphics (3.01 KB, image/png)
2012-10-09 09:22 PDT, Andreas Nilsson (:andreasn)
no flags Details
contact-generic-tiny (976 bytes, image/png)
2012-10-09 09:23 PDT, Andreas Nilsson (:andreasn)
no flags Details
contact-generic (12.87 KB, image/png)
2012-10-09 09:23 PDT, Andreas Nilsson (:andreasn)
no flags Details
WIP v3 (263.44 KB, patch)
2012-10-10 12:08 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Low-res example for thread pane cols (914 bytes, image/png)
2012-10-10 14:50 PDT, Richard Marti (:Paenglab)
no flags Details
WIP v4 (313.73 KB, patch)
2012-10-14 14:04 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
accountcentral icons (22.44 KB, image/png)
2012-11-06 09:17 PST, Andreas Nilsson (:andreasn)
no flags Details
preferences graphics (22.52 KB, image/png)
2012-11-06 09:18 PST, Andreas Nilsson (:andreasn)
no flags Details
threadpane-col (1.60 KB, image/png)
2012-11-06 09:23 PST, Andreas Nilsson (:andreasn)
no flags Details
column headers graphics (1.55 KB, image/png)
2012-11-06 09:23 PST, Andreas Nilsson (:andreasn)
no flags Details
old headers (2.13 KB, image/png)
2012-11-07 12:55 PST, Richard Marti (:Paenglab)
no flags Details
alltabs-box-bkgnd-icon@2x (1.30 KB, image/png)
2012-11-14 04:41 PST, Andreas Nilsson (:andreasn)
no flags Details
alltabs-box-bkgnd-icon (735 bytes, image/png)
2012-11-14 04:42 PST, Andreas Nilsson (:andreasn)
no flags Details
threadpane-col small graphics (868 bytes, image/png)
2012-11-14 06:21 PST, Andreas Nilsson (:andreasn)
no flags Details
column headers graphics small graphics (770 bytes, image/png)
2012-11-14 06:22 PST, Andreas Nilsson (:andreasn)
no flags Details
patch (393.55 KB, patch)
2012-11-16 11:43 PST, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
updated patch (383.35 KB, patch)
2012-12-02 11:56 PST, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
patch (383.73 KB, patch)
2012-12-03 13:15 PST, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
patch (406.07 KB, patch)
2013-01-01 08:47 PST, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
Details | Diff | Splinter Review
patch for check-in (407.94 KB, patch)
2013-02-25 08:45 PST, Richard Marti (:Paenglab)
richard.marti: review+
richard.marti: ui‑review+
Details | Diff | Splinter Review

Description Nomis101 2012-08-08 14:12:45 PDT
For full HiDPI support we also need to update the chrome to use higher resolution images, same as Firefox is doing it in Bug 781327.
Comment 1 Richard Marti (:Paenglab) 2012-08-08 14:16:49 PDT
As reference, shorlander has added HiDPI images in bug 781327.
Comment 2 Richard Marti (:Paenglab) 2012-08-08 14:17:54 PDT
Sorry not seen your link to this bug already.
Comment 3 Andreas Nilsson (:andreasn) 2012-09-04 06:53:03 PDT
Created attachment 658064 [details]
main toolbar graphics

Main toolbar graphics
Comment 4 Andreas Nilsson (:andreasn) 2012-09-25 09:31:34 PDT
Created attachment 664542 [details]
mail-toolbar graphics
Comment 5 Andreas Nilsson (:andreasn) 2012-09-25 09:32:03 PDT
Created attachment 664543 [details]
address book toolbar graphics
Comment 6 Andreas Nilsson (:andreasn) 2012-09-26 08:00:53 PDT
Created attachment 664968 [details]
chat toolbar graphics
Comment 7 Andreas Nilsson (:andreasn) 2012-09-26 08:01:25 PDT
Created attachment 664970 [details]
compose toolbar graphics
Comment 8 Richard Marti (:Paenglab) 2012-09-30 08:00:58 PDT
Created attachment 666327 [details] [diff] [review]
WIP

WIP patch with the already available graphics.

I can't test this. Please can somebody with a Retina display test this patch?
I don't know if the .toolbarbutton-icon also needs a width/height change from 18px to 36px.
Comment 9 Richard Marti (:Paenglab) 2012-09-30 08:02:11 PDT
Oops, forgot to say this patch needs Bug 794880 applied first.
Comment 10 Andreas Nilsson (:andreasn) 2012-09-30 11:32:12 PDT
Created attachment 666353 [details]
quick filter toolbar graphics
Comment 11 Blake Winton (:bwinton) (:☕️) 2012-09-30 12:43:21 PDT
(In reply to Richard Marti [:Paenglab] from comment #8)
> I can't test this. Please can somebody with a Retina display test this patch?
> I don't know if the .toolbarbutton-icon also needs a width/height change
> from 18px to 36px.

Can you push the appropriate patches to the try server, and post a link to the builds here?  I'll get someone to give it a run through on Monday…

Thanks,
Blake.
Comment 12 Richard Marti (:Paenglab) 2012-09-30 12:54:59 PDT
I've never pushed to Try. It's better if someone else can do this.
Comment 13 Andreas Nilsson (:andreasn) 2012-10-01 07:41:13 PDT
Created attachment 666549 [details]
folder-pane graphics
Comment 14 Andreas Nilsson (:andreasn) 2012-10-01 07:41:49 PDT
Created attachment 666550 [details]
server graphics (folder pane)
Comment 15 Andreas Nilsson (:andreasn) 2012-10-01 07:42:17 PDT
Created attachment 666551 [details]
chat status graphics
Comment 16 Richard Marti (:Paenglab) 2012-10-01 13:21:17 PDT
Try build with the wip patch is available here: http://ftp.mozilla.org/pub/mozilla.org/thunderbird/try-builds/richard.marti@gmail.com-bd08d7aa36a4/try-comm-central-macosx64/
Comment 17 Andreas Nilsson (:andreasn) 2012-10-03 04:56:39 PDT
Created attachment 667426 [details]
emotes graphics
Comment 18 Andreas Nilsson (:andreasn) 2012-10-03 04:57:16 PDT
Created attachment 667427 [details]
compose format buttons graphics
Comment 19 Blake Winton (:bwinton) (:☕️) 2012-10-03 06:50:37 PDT
(Adding sancus, who has a retina Macbook, for possible future try-build testing… ;)
Comment 20 Andreas Nilsson (:andreasn) 2012-10-04 07:26:06 PDT
Created attachment 667957 [details]
offline graphics
Comment 21 Andreas Nilsson (:andreasn) 2012-10-04 07:26:30 PDT
Created attachment 667958 [details]
online graphics
Comment 22 Andreas Nilsson (:andreasn) 2012-10-04 07:27:01 PDT
Created attachment 667959 [details]
addressbook sidepane graphics
Comment 23 Richard Marti (:Paenglab) 2012-10-07 05:11:54 PDT
Created attachment 668894 [details] [diff] [review]
WIP v2

Next version with all available images used. Needs Bug 795989 applied first.

For testing you can find a try build here: http://ftp.mozilla.org/pub/mozilla.org/thunderbird/try-builds/richard.marti@gmail.com-a90763dbde8e

I fixed the to big icons for Chat and AppMenu and also the disappearing icons when active. The QFB button no more squishes on hover.

I made myself the Cut/Copy/Paste icons for the AppMenu. Please check if it looks good.

Andreas, please can you create HiDPI icons for this?
contact-generic.png
contact-generic-tiny.png
insert-menu.png

and add
RSS icons for folder-pane@2x.png (message-news.png)
Icons for server@2x.png (server-newsblog.png folder-newsgroup.png)

Are other images needed to add in this patch?
Comment 24 Andreas Nilsson (:andreasn) 2012-10-09 09:21:03 PDT
Created attachment 669584 [details]
server graphics (folder pane)
Comment 25 Andreas Nilsson (:andreasn) 2012-10-09 09:22:05 PDT
Created attachment 669585 [details]
folder-pane graphics
Comment 26 Andreas Nilsson (:andreasn) 2012-10-09 09:22:31 PDT
Created attachment 669586 [details]
insert menu graphics
Comment 27 Andreas Nilsson (:andreasn) 2012-10-09 09:23:05 PDT
Created attachment 669587 [details]
contact-generic-tiny
Comment 28 Andreas Nilsson (:andreasn) 2012-10-09 09:23:36 PDT
Created attachment 669589 [details]
contact-generic
Comment 29 Richard Marti (:Paenglab) 2012-10-10 12:08:12 PDT
Created attachment 670070 [details] [diff] [review]
WIP v3

Latest patch with all images from Andreas except contact-generic.png and contact-generic-tiny.png which are hard coded in XUL and JS and I can't change through CSS.

This patch still needs Bug 795989 applied first.
Comment 30 Blake Winton (:bwinton) (:☕️) 2012-10-10 13:08:36 PDT
With the try-build from comment 23:

The mailbox icon in the account central page is low-res.  https://dl.dropbox.com/u/2301433/Retina/AccountCentral.png

The checkmark in the customize menu is low-res.  https://dl.dropbox.com/u/2301433/Retina/MenuCheckmark.png

The activity indicator in the customize pane seems off.  Low-res, maybe?  https://dl.dropbox.com/u/2301433/Retina/ActivityIndicator.png

The checked version of the quick filter star is off.  https://dl.dropbox.com/u/2301433/Retina/QuickFilter.png

The star in the list view, and the attachment icon seem low-res.  https://dl.dropbox.com/u/2301433/Retina/StarAndAttachment.png

The formatting buttons, when checked, are too small.  https://dl.dropbox.com/u/2301433/Retina/SmileyButton.png

Is that save icon low-res?  https://dl.dropbox.com/u/2301433/Retina/SaveAlert.png

About Daily seems to have a low-res background.  https://dl.dropbox.com/u/2301433/Retina/About.png

The Formatting button in Preferences is way too big.  https://dl.dropbox.com/u/2301433/Retina/FormattingButton.png  (And I think all the icons on the top are low-res.)

The FileLink Provider icons are low-res.  https://dl.dropbox.com/u/2301433/Retina/FileLinkProviders.png

The Tag button in the message header customization is low-res  https://dl.dropbox.com/u/2301433/Retina/MessageHeaderCustomization.png

The GoogleTalk chat icon is low-res (and probably the others, too).  https://dl.dropbox.com/u/2301433/Retina/GoogleChat.png

And since we're re-doing the graphics, we should probably make the tab dropdown match the new Australis tabs, instead of the old blocky tabs.  ;)


That's all I saw with my first run through.  I look forward to trying a newer version sometime tomorrow or Friday.  :)

Thanks,
Blake.
Comment 31 Richard Marti (:Paenglab) 2012-10-10 14:39:33 PDT
(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #30)
> With the try-build from comment 23:
> 
> The mailbox icon in the account central page is low-res. 
> https://dl.dropbox.com/u/2301433/Retina/AccountCentral.png

Correct, no HiDPI icons yet.

> The checkmark in the customize menu is low-res. 
> https://dl.dropbox.com/u/2301433/Retina/MenuCheckmark.png

Checkmark is from toolkit and be addressed there.

> The activity indicator in the customize pane seems off.  Low-res, maybe? 
> https://dl.dropbox.com/u/2301433/Retina/ActivityIndicator.png

Correct. Who is able to create a HiDPI throbber?

> The checked version of the quick filter star is off. 
> https://dl.dropbox.com/u/2301433/Retina/QuickFilter.png

Already fixed in latest patch.

> The star in the list view, and the attachment icon seem low-res. 
> https://dl.dropbox.com/u/2301433/Retina/StarAndAttachment.png

Yes, needs HiDPI images.

> The formatting buttons, when checked, are too small. 
> https://dl.dropbox.com/u/2301433/Retina/SmileyButton.png

I can't say what happens here. I apply only the list-style-image. The buttons are -moz-appearance: toolbarbutton.

> Is that save icon low-res? 
> https://dl.dropbox.com/u/2301433/Retina/SaveAlert.png

Again, this is from toolkit. Should we fix this in TB?

> About Daily seems to have a low-res background. 
> https://dl.dropbox.com/u/2301433/Retina/About.png

This can be done, but is in branding. Is this needed?

> The Formatting button in Preferences is way too big. 
> https://dl.dropbox.com/u/2301433/Retina/FormattingButton.png  (And I think
> all the icons on the top are low-res.)

I haven't touched the formatting button and this is also toolkit. Does this happen also with a normal TB on Retina Mac?

> The FileLink Provider icons are low-res. 
> https://dl.dropbox.com/u/2301433/Retina/FileLinkProviders.png

These icons are hard-coded. I see no way to change this without changing the JS files.

> The Tag button in the message header customization is low-res 
> https://dl.dropbox.com/u/2301433/Retina/MessageHeaderCustomization.png

Strange, my TB with inverted media query is using the HiDPI icon. I can't say if it looks good as it is downscaled. When the button is on the toolbar, does it look okay?

> The GoogleTalk chat icon is low-res (and probably the others, too). 
> https://dl.dropbox.com/u/2301433/Retina/GoogleChat.png

Most of the icons in Chat are hard-coded and not changeable by CSS.

> And since we're re-doing the graphics, we should probably make the tab
> dropdown match the new Australis tabs, instead of the old blocky tabs.  ;)
> 
> 
> That's all I saw with my first run through.  I look forward to trying a
> newer version sometime tomorrow or Friday.  :)
> 
> Thanks,
> Blake.
Comment 32 Richard Marti (:Paenglab) 2012-10-10 14:50:46 PDT
Created attachment 670145 [details]
Low-res example for thread pane cols

Andreas, please can you add HiDPI images for following:

- Account Central images
- Preferences icons
- new icons for alltabs-button (the one at top right) and if possible in 
  Australis shape for low-res and HiDPI
- Thread pane cols icons in one image like I made a low-res example in this
  attachment
- Thread pane icons like attachment, read, junk etc.

Thanks
Comment 33 Mike Conley (:mconley) - (Needinfo me!) 2012-10-12 08:36:42 PDT
Hey - I have the Retina now.

I've noticed that the curve in the tabs is also a bit blurry:

http://i.imgur.com/EwlBb.png
Comment 34 Mike Conley (:mconley) - (Needinfo me!) 2012-10-12 08:52:26 PDT
I've filed bug 800948 for the really tall tabs bug.
Comment 35 Richard Marti (:Paenglab) 2012-10-14 14:04:16 PDT
Created attachment 671258 [details] [diff] [review]
WIP v4

Added HiDPI tabs. Also the tab overflow arrows are in hi-res. On message headers the email star and the online presence indicator have HiDPI graphics.
Comment 36 Andreas Nilsson (:andreasn) 2012-11-06 09:17:28 PST
Created attachment 678779 [details]
accountcentral icons
Comment 37 Andreas Nilsson (:andreasn) 2012-11-06 09:18:43 PST
Created attachment 678780 [details]
preferences graphics
Comment 38 Andreas Nilsson (:andreasn) 2012-11-06 09:23:24 PST
Created attachment 678783 [details]
threadpane-col
Comment 39 Andreas Nilsson (:andreasn) 2012-11-06 09:23:51 PST
Created attachment 678784 [details]
column headers graphics
Comment 40 Richard Marti (:Paenglab) 2012-11-07 12:55:09 PST
Created attachment 679332 [details]
old headers

(In reply to Andreas Nilsson (:andreasn) from comment #39)
> Created attachment 678784 [details]
> column headers graphics

The normal size headers aren't that black and attachment, junk and thread are looking different. When a user moves TB from a HiDPI monitor to a normal DPI monitor he will see the difference.

Andreas, please can you update the column headers graphics?
Comment 41 Andreas Nilsson (:andreasn) 2012-11-14 04:41:49 PST
Created attachment 681447 [details]
alltabs-box-bkgnd-icon@2x
Comment 42 Andreas Nilsson (:andreasn) 2012-11-14 04:42:21 PST
Created attachment 681448 [details]
alltabs-box-bkgnd-icon
Comment 43 Andreas Nilsson (:andreasn) 2012-11-14 04:43:52 PST
(In reply to Richard Marti [:Paenglab] from comment #40)
> Created attachment 679332 [details]
> old headers
> 
> (In reply to Andreas Nilsson (:andreasn) from comment #39)
> > Created attachment 678784 [details]
> > column headers graphics
> 
> The normal size headers aren't that black and attachment, junk and thread
> are looking different. When a user moves TB from a HiDPI monitor to a normal
> DPI monitor he will see the difference.
> 
> Andreas, please can you update the column headers graphics?

Yeah, I want to make them like this to get closer to the other themes. I'll update and attach the regularly sized graphics as well.
Comment 44 Andreas Nilsson (:andreasn) 2012-11-14 06:21:26 PST
Created attachment 681467 [details]
threadpane-col small graphics
Comment 45 Andreas Nilsson (:andreasn) 2012-11-14 06:22:04 PST
Created attachment 681468 [details]
column headers graphics small graphics
Comment 46 Richard Marti (:Paenglab) 2012-11-16 11:43:49 PST
Created attachment 682566 [details] [diff] [review]
patch

This patch needs Bug 795989 applied first.

I think this patch is now ready for review. Additional graphics should be done in follow-up bugs. I think this patch is big enough with his 7600 lines.

To make the review easier I made a try build: http://ftp.mozilla.org/pub/mozilla.org/thunderbird/try-builds/richard.marti@gmail.com-1c472e1a52e0
Comment 47 :aceman 2012-11-26 00:15:45 PST
*** Bug 814446 has been marked as a duplicate of this bug. ***
Comment 48 Nomis101 2012-12-02 02:00:40 PST
Bug 817366 will add HiDPI images in toolkit for e.g. extensionGeneric and pluginGeneric. We also have this png's in mail.
Comment 49 Richard Marti (:Paenglab) 2012-12-02 04:17:14 PST
(In reply to Nomis101 from comment #48)
> Bug 817366 will add HiDPI images in toolkit for e.g. extensionGeneric and
> pluginGeneric. We also have this png's in mail.

As I wrote in comment 46, this patch is big enough and should not be expanded again.
extensionGeneric is only in toolkit and this will be made in bug 817366. pluginGeneric is on one place in applications.css. Only change this one in this file would look weird for the other, still low-res, images in this part. Better is, change all icons in this file in one step. Please file a new bug for this, and other parts. Then they can be fixed faster one after the other.
Comment 50 Richard Marti (:Paenglab) 2012-12-02 11:56:23 PST
Created attachment 687538 [details] [diff] [review]
updated patch

Unbitrotted patch and also working after applying bug 815220 and bug 813218.

As the only change to the previous patch I've added to the normal DPI images folder-pane.png and server.png the same icons for archives and RSS-server like the HiDPI images have.

Newest try build: http://ftp.mozilla.org/pub/mozilla.org/thunderbird/try-builds/richard.marti@gmail.com-0ed3fdc6437e
Comment 51 Richard Marti (:Paenglab) 2012-12-03 13:15:50 PST
Created attachment 687927 [details] [diff] [review]
patch

Florian tested the try build on his Retina-Mac and found in Chat a squished status icon and no HiDPI icons in tabs/Alltabs popup for Chat and Gloda search. Both Chat issues are fixed in this patch.

Andreas, please can you create a HiDPI search-tab.png icon? Then all tab related icons should be HiDPI and the patch really complete for end-review.
Comment 52 Nomis101 2012-12-09 02:22:11 PST
(In reply to Richard Marti [:Paenglab] from comment #49)
> (In reply to Nomis101 from comment #48)
> > Bug 817366 will add HiDPI images in toolkit for e.g. extensionGeneric and
> > pluginGeneric. We also have this png's in mail.
> 
> As I wrote in comment 46, this patch is big enough and should not be
> expanded again.
> extensionGeneric is only in toolkit and this will be made in bug 817366.
> pluginGeneric is on one place in applications.css. Only change this one in
> this file would look weird for the other, still low-res, images in this
> part. Better is, change all icons in this file in one step. Please file a
> new bug for this, and other parts. Then they can be fixed faster one after
> the other.

HiDPI for the other icons is now Bug 819750.
Comment 53 Nomis101 2012-12-30 17:45:01 PST
I'm right, that the last thing missing here is search-tab.png, to complete this patch and (hopefully) get it in?
Comment 54 Richard Marti (:Paenglab) 2013-01-01 08:47:58 PST
Created attachment 696886 [details] [diff] [review]
patch

I think this can be the final patch. All icons are now in this patch.

Blake, I hope you have still access to a Retina Mac.
Comment 55 Richard Marti (:Paenglab) 2013-01-01 08:50:20 PST
Try build with patch applied can be found here: http://ftp.mozilla.org/pub/mozilla.org/thunderbird/try-builds/richard.marti@gmail.com-9da0349d8598
Comment 56 Blake Winton (:bwinton) (:☕️) 2013-02-24 11:19:02 PST
Comment on attachment 696886 [details] [diff] [review]
patch

The one thing I saw that was old and ugly was the checkmark beside the tab name in the tablist dropdown at the top-right of the tab bar…

Having said that, it's a huge improvement, and has been waiting for me for too long, so ui-r=me, and we can fix the other things in followup bugs!

>+++ b/mail/themes/pinstripe/mail/compose/messengercompose.css
>@@ -209,115 +222,200 @@
> #button-send {
>   list-style-image: url("chrome://messenger/skin/messengercompose/compose-toolbar.png");
>   -moz-image-region: rect(0px 18px 18px 0px);
> }
> 
> #button-send:not([disabled="true"]):active {
>-  list-style-image: url("chrome://messenger/skin/messengercompose/compose-toolbar.png");
>   -moz-image-region: rect(18px 18px 36px 0px);
> }

Nice cleanup!

>-/* ::::: end small primary toolbar buttons ::::: */

Why remove this comment?

Other than that one question, I'm pretty happy with the patch, so r=me, as well!

Thanks, and I apologize for the delay in reviewing!

Later,
Blake.
Comment 57 Richard Marti (:Paenglab) 2013-02-24 12:16:39 PST
(In reply to Blake Winton (:bwinton) from comment #56)
> Comment on attachment 696886 [details] [diff] [review]
> patch
> 
> The one thing I saw that was old and ugly was the checkmark beside the tab
> name in the tablist dropdown at the top-right of the tab bar…

I suppose this checkmark comes from global. This isn't HiDPIified (chrome://global/skin/menu/menu-check.png).

> >-/* ::::: end small primary toolbar buttons ::::: */
> 
> Why remove this comment?

Because no /* ::::: start small primary toolbar buttons ::::: */ exists and we only have one icon size now.

I have a new patch which I'll upload after landing of bug 844432. The only change is the addition of the HiDPI icon for appmenu-icons-active.png with the needed CSS. I hope it's okay.
Comment 58 Blake Winton (:bwinton) (:☕️) 2013-02-24 12:20:38 PST
Yeah, that sounds fine.  You can totally carry over the r=me, and ui-r=me.  :)
Comment 59 Richard Marti (:Paenglab) 2013-02-25 08:45:03 PST
Created attachment 717907 [details] [diff] [review]
patch for check-in

r+ and ui-r+ carried over from previous patch.

The only change is, I added a HiDPI image for appmenu-icons-active.png
Comment 60 Ryan VanderMeulen [:RyanVM] 2013-02-25 11:51:47 PST
https://hg.mozilla.org/comm-central/rev/5a0c56e7e9a7
Comment 61 Ludovic Hirlimann [:Usul] 2013-02-26 08:38:36 PST
Theme looks ugly on my 10.0.7 machine - it looks like windows spam instead of the nice green ones :(
Comment 62 Ludovic Hirlimann [:Usul] 2013-02-26 08:40:50 PST
(In reply to Ludovic Hirlimann [:Usul] from comment #61)
> Theme looks ugly on my 10.0.7 machine - it looks like windows spam instead
> of the nice green ones :(

sorry got upset by a theme - probably the first time in my life.

Why did this change the theme for nonw HiDPI users ?

Note You need to log in before you can comment on or make changes to this bug.